Skip to main content
POST
/
v1
/
10dlc
/
campaigns
/
{campaignId}
/
sync
Sync 10DLC campaign status
curl --request POST \
  --url https://api.zavu.dev/v1/10dlc/campaigns/{campaignId}/sync \
  --header 'Authorization: Bearer <token>'
{
  "campaign": {
    "id": "<string>",
    "brandId": "<string>",
    "name": "Order Notifications",
    "useCase": "ACCOUNT_NOTIFICATION",
    "description": "<string>",
    "sampleMessages": [
      "<string>"
    ],
    "subscriberOptIn": true,
    "subscriberOptOut": true,
    "subscriberHelp": true,
    "numberPooling": true,
    "directLending": true,
    "embeddedLink": true,
    "embeddedPhone": true,
    "affiliateMarketing": true,
    "ageGated": true,
    "status": "draft",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "subUseCases": [
      "<string>"
    ],
    "messageFlow": "<string>",
    "helpMessage": "<string>",
    "optInKeywords": [
      "<string>"
    ],
    "optOutKeywords": [
      "<string>"
    ],
    "dailyLimit": 123,
    "failureReason": "<string>",
    "registrationCostCents": 123,
    "monthlyFeeCents": 123,
    "submittedAt": "2023-11-07T05:31:56Z",
    "approvedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaignId
string
required

10DLC campaign ID.

Response

Campaign status synced.

campaign
object
required